/**********************************************************/
/*                                                        */
/*          Test program for Communication functions      */
/*                                                        */
/*  Copyright (C) 1996 MITSUBISHI Electric Corporation    */
/*  All Rights Reserved                                   */
/**********************************************************/
/********************************************
*		Include files						*
********************************************/
#include        <windows.h>
#include        <stdio.h>
#include        "mdfunc.h"

/***************************************************
* Reads in device "D" of specified No              *
* on station No 1 network No 1                     *
***************************************************/
void main()
{
	long	path;				/*	variable to save path	*/
	short	data;				/*	buffer to receive data	*/
	short	size,ret;
	short	stno,devtyp,devno;

	ret = mdOpen(51,-1,&path);	/*	open 1st MNET10 board	*/
	if(ret != 0){
		printf("mdOpen error[%04hx]\n",ret);
	}
	stno	= 0x101;			/*	network No 1 station No 1 fixed*/
	devtyp	= 13;				/*	device type "D" fixed	*/
	while(1){
		printf("device No(It will end, if it is zero or less input) =");
		scanf("%hd",&devno);		/*	input device No		*/
		if(devno < 0){			/*	quit if less than 0	*/
			ret = mdClose(path);/*	close channel		*/
			if(ret != 0){
				printf("mdClose error[%04hx]\n",ret);
			}
			printf("End\n");
			exit(0);
		}
		size = 2;				/*	size to read in = 2 bytes	*/
		ret = mdReceive( path, stno, devtyp, devno, &size, &data);
		if(ret != 0){
			printf("mdReceive error[%04hx]\n",ret);
		}
		printf("data[%4hx]\n",data);	/*	display data			*/
	}

}
