VERSION 4.00
Begin VB.Form Form1 
   Appearance      =   0  'flat
   BackColor       =   &H80000005&
   Caption         =   "Device Read Test"
   ClientHeight    =   2520
   ClientLeft      =   1695
   ClientTop       =   3030
   ClientWidth     =   7995
   ForeColor       =   &H80000008&
   Height          =   2925
   Left            =   1635
   LinkTopic       =   "Form1"
   ScaleHeight     =   2520
   ScaleWidth      =   7995
   Top             =   2685
   Width           =   8115
   Begin VB.CommandButton Command2 
      Appearance      =   0  'flat
      BackColor       =   &H80000005&
      Caption         =   "Program End"
      Height          =   495
      Left            =   4212
      TabIndex        =   1
      Top             =   1512
      Width           =   2595
   End
   Begin VB.CommandButton Command1 
      Appearance      =   0  'flat
      BackColor       =   &H80000005&
      Caption         =   "Execute Read"
      Height          =   495
      Left            =   1332
      TabIndex        =   0
      Top             =   1512
      Width           =   2595
   End
   Begin VB.Shape Shape1 
      Height          =   495
      Left            =   1320
      Top             =   480
      Width           =   5475
   End
   Begin VB.Label RdDat 
      Alignment       =   2  'center
      Appearance      =   0  'flat
      BackColor       =   &H0080FFFF&
      BorderStyle     =   1  'solid line
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   3960
      TabIndex        =   4
      Top             =   600
      Width           =   2115
   End
   Begin VB.Label RdDevno 
      Appearance      =   0  'flat
      BackColor       =   &H80000005&
      Caption         =   "0"
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   2940
      TabIndex        =   3
      Top             =   600
      Width           =   975
   End
   Begin VB.Label Label1 
      Alignment       =   1  'right
      Appearance      =   0  'flat
      BackColor       =   &H80000005&
      Caption         =   "D"
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   1440
      TabIndex        =   2
      Top             =   600
      Width           =   1275
   End
End
Attribute VB_Name = "Form1"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
'********************************************************************
'                   Test program for Type 2 functions
'********************************************************************

'Type 2 function library
Private Declare Function mdopen Lib "MDFUNC32.DLL" (ByVal Chan As Integer, ByVal Mode As Integer, Path As Long) As Integer
Private Declare Function mdclose Lib "MDFUNC32.DLL" (ByVal Path As Long) As Integer
Private Declare Function mdsend Lib "MDFUNC32.DLL" (ByVal Path As Long, ByVal Stno As Integer, ByVal Devtyp As Integer, ByVal Devno As Integer, Size As Integer, Buf As Any) As Integer
Private Declare Function mdreceive Lib "MDFUNC32.DLL" (ByVal Path As Long, ByVal Stno As Integer, ByVal Devtyp As Integer, ByVal Devno As Integer, Size As Integer, Buf As Any) As Integer
Private Declare Function mddevset Lib "MDFUNC32.DLL" (ByVal Path As Long, ByVal Stno As Integer, ByVal Devtyp As Integer, ByVal Devno As Integer) As Integer
Private Declare Function mddevrst Lib "MDFUNC32.DLL" (ByVal Path As Long, ByVal Stno As Integer, ByVal Devtyp As Integer, ByVal Devno As Integer) As Integer
Private Declare Function mdrandw Lib "MDFUNC32.DLL" (ByVal Path As Long, ByVal Stno As Integer, dev As Integer, Buf As Any, ByVal bufsiz As Integer) As Integer
Private Declare Function mdrandr Lib "MDFUNC32.DLL" (ByVal Path As Long, ByVal Stno As Integer, dev As Integer, Buf As Any, ByVal bufsiz As Integer) As Integer
Private Declare Function mdcontrol Lib "MDFUNC32.DLL" (ByVal Path As Long, ByVal Stno As Integer, ByVal Buf As Integer) As Integer
Private Declare Function mdtyperead Lib "MDFUNC32.DLL" (ByVal Path As Long, ByVal Stno As Integer, Buf As Integer) As Integer

'common variable declaration
Dim Path As Long

Private Sub Command1_Click()
    'declare local variables
    Dim Stno As Integer         'station No to access
    Dim Devtyp As Integer       'device name to read
    Dim Devno As Integer        'device No to read
    Dim Size As Integer         'byte count to read
    ReDim Buf(128) As Integer   'buffer for read-in data

    'execute device read function
    Stno = &H102
    Devtyp = 13                 'device"D"
    Devno = 0                   'device No
    Size = 2                    'byte count
    Ret = mdreceive(Path, Stno, Devtyp, Devno, Size, Buf(0))
    
    'display read-in device No
    RdDevno.Caption = Devno
    If Ret = 0 Then
        'display read-in data
        RdDat.Caption = Buf(0)
    Else
        'clear display
        RdDat.Caption = " "
    End If

End Sub

Private Sub Command2_Click()
    'declare local variables
    Dim Ret As Integer          'return value

    'execute channel close function
    Ret = mdclose(Path)
    If (Ret <> 0) Then
        MsgBox "Channel close error"
    End If
    End
End Sub

Private Sub Form_Load()
    'declare local variables
    Dim Chan As Integer         'channel No to open
    Dim Mode As Integer         'Open mode
    Dim Ret As Integer          'return value

    'execute channel open function
    Chan = 51
    Mode = -1
    Ret = mdopen(Chan, Mode, Path)
    If (Ret <> 0) And (Ret <> 66) Then
        MsgBox "Channel open error"
        End
    End If
End Sub



